//
//  BunshoList.h
//  traceWrite
//
//  Created by 今井 彰彦 on 2012/02/20.
//  Copyright (c) 2012 AIG-Soft. All rights reserved.
//

#import "Bunsho.h"
#import "FileControl2.h"
@class Setup;

NSString *makeBunFileFontName(NSString *bunFile);
NSString *makeBunFileFontSize(NSString *bunFile);
CGFloat readBunshoFont(NSString *bunFile,NSString **fontName_);
void writeBunshoFont(NSString *bunFile,NSString *fontName_,CGFloat fontSize_);
void setDefaultInternalOriginalText(BOOL ffirst,Setup *setup);

// 文書ーフォント情報ファイル名;これだけは増減する可能性があるのでNSUserDefaultではなくファイルに記憶する
#define FILE_BUNFONT	@".bunFont.plist"	// 表示させないように.で始まる
#define PATH_BUNFONT	makeFullPathForSaveData(FILE_BUNFONT)

enum {
	MODE_NONE=0,
	MODE_FIRST,
	MODE_V1V2
};
